/* This file is part of Eclat.
   Copyright (C) 2013-2021 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#include "eclat.h"
#include "cpimg-cl.h"

int
eclat_copy_image(eclat_command_env_t *env, int argc, char **argv)
{
	struct ec2_request *q = env->request;
	parse_options(env, argc, argv);

	eclat_request_add_param(q, "SourceRegion", region);
	eclat_request_add_param(q, "SourceImageId", image);
	if (name)
		eclat_request_add_param(q, "Name", name);
	if (descr)
		eclat_request_add_param(q, "Description", descr);
	return 0;
}
